/*
	Vibrator Control Protocol Daemon
	Copyright (C) 2003  Matthias Bruestle <m@mbsks.franken.de>

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef SER_H
#define SER_H

#include <vcp.h>

#define CMD_SET		0x81
#define RSP_ACK		0x06
#define RSP_NAK		0x15

int ser_init( S_VCP_STATE *vs, char *port );
int	ser_vibr( S_VCP_STATE *vs, int level );
int	ser_intv( S_VCP_STATE *vs, char *seq );

#endif

